# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`tuned`](#tuned): Manages the activation of tuned  The following options only affect 'tuned'

### Data types

* [`Tuned::IoSchedule`](#Tuned--IoSchedule)

## Classes

### <a name="tuned"></a>`tuned`

Manages the activation of tuned

The following options only affect 'tuned'

#### Parameters

The following parameters are available in the `tuned` class:

* [`use_sysctl`](#-tuned--use_sysctl)
* [`use_sysctl_post`](#-tuned--use_sysctl_post)
* [`io_scheduler`](#-tuned--io_scheduler)
* [`elevator_tune_devs`](#-tuned--elevator_tune_devs)
* [`tuning_interval`](#-tuned--tuning_interval)
* [`diskmonitor_enable`](#-tuned--diskmonitor_enable)
* [`disktuning_enable`](#-tuned--disktuning_enable)
* [`disktuning_hdparm`](#-tuned--disktuning_hdparm)
* [`disktuning_alpm`](#-tuned--disktuning_alpm)
* [`netmonitor_enable`](#-tuned--netmonitor_enable)
* [`nettuning_enable`](#-tuned--nettuning_enable)
* [`cpumonitor_enable`](#-tuned--cpumonitor_enable)
* [`cputuning_enable`](#-tuned--cputuning_enable)
* [`package_ensure`](#-tuned--package_ensure)

##### <a name="-tuned--use_sysctl"></a>`use_sysctl`

Data type: `Boolean`

This is the custom sysctl configuration file.  Set to false to
use only the ktune settings.

Default value: `true`

##### <a name="-tuned--use_sysctl_post"></a>`use_sysctl_post`

Data type: `Boolean`

This is the ktune sysctl file.  Any settings in this file will be applied
after custom settings, overriding them.  Comment this out to not use ktune
settings.

Default value: `false`

##### <a name="-tuned--io_scheduler"></a>`io_scheduler`

Data type: `Tuned::IoSchedule`

This is the I/O scheduler ktune will use.  This will *not* override
anything explicitly set on the kernel command line, nor will it change
the scheduler for any block device that is using a non-default scheduler
when ktune starts.  You should probably leave this on "deadline", but
"as", "cfq", and "noop" are also legal values.

Default value: `'deadline'`

##### <a name="-tuned--elevator_tune_devs"></a>`elevator_tune_devs`

Data type: `Array[String]`

These are the devices, that should be tuned with the ELEVATOR

Default value: `['hd','sd','cciss']`

##### <a name="-tuned--tuning_interval"></a>`tuning_interval`

Data type: `Integer`

The number of seconds between tuning runs.

Default value: `10`

##### <a name="-tuned--diskmonitor_enable"></a>`diskmonitor_enable`

Data type: `Boolean`

Enable the disk monitoring plugin.

Default value: `true`

##### <a name="-tuned--disktuning_enable"></a>`disktuning_enable`

Data type: `Boolean`

Enable the disk tuning plugin.

Default value: `true`

##### <a name="-tuned--disktuning_hdparm"></a>`disktuning_hdparm`

Data type: `Boolean`

Use 'hdparm' for disk tuning.

Default value: `true`

##### <a name="-tuned--disktuning_alpm"></a>`disktuning_alpm`

Data type: `Boolean`

Use 'ALPM' when disk tuning.

Default value: `true`

##### <a name="-tuned--netmonitor_enable"></a>`netmonitor_enable`

Data type: `Boolean`

Enable the network monitoring plugin.

Default value: `true`

##### <a name="-tuned--nettuning_enable"></a>`nettuning_enable`

Data type: `Boolean`

Enable the network tuning plugin.

Default value: `true`

##### <a name="-tuned--cpumonitor_enable"></a>`cpumonitor_enable`

Data type: `Boolean`

Enable the CPU monitoring plugin.

Default value: `true`

##### <a name="-tuned--cputuning_enable"></a>`cputuning_enable`

Data type: `Boolean`

Enable the CPU tuning plugin.

Default value: `true`

##### <a name="-tuned--package_ensure"></a>`package_ensure`

Data type: `String`

The ensure status of the tuned package

Default value: `simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })`

## Data types

### <a name="Tuned--IoSchedule"></a>`Tuned::IoSchedule`

The Tuned::IoSchedule data type.

Alias of `Enum['deadline', 'as', 'cfq', 'noop']`

